<?php
/* -*- tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
# ***** BEGIN LICENSE BLOCK *****
# This file is part of Plume CMS, a website management application.
# Copyright (C) 2001-2005 Loic d'Anterroches and contributors.
#
# Plume CMS is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Plume CMS is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
# ***** END LICENSE BLOCK ***** */

if (basename($_SERVER['SCRIPT_NAME']) == 'comments-rlist.php') exit;

/**
 * @file comments-rlist.php
 *
 * List the comments associated to a resource.
 * Provide the form to modify each comment but also add a new comment.
 *
 * $ct: Stores the list of comments for the given resource.
 */

echo '<h2>'.__('Comments').'</h2>'."\n";

if ($ct->isEmpty()) {
    echo '<p>'.__('No comments for the moment.').'</p>'."\n\n";
} else {
    while (!$ct->EOF()) {
        switch ($ct->f('comment_status')) {
        case PX_RESOURCE_STATUS_OFFLINE:
            $ct_class = 'cancel';
            $ct_img = '<img src="themes/'.$_px_theme
                .'/images/check_off.png" alt="'.__('Comment off-line')
                .'" class="status" />';
            break;
        case PX_RESOURCE_STATUS_VALIDE:
            $ct_class = 'published';
            $ct_img = '<img src="themes/'.$_px_theme
                .'/images/check_on.png" alt="'.__('Comment on-line')
                .'" class="status" />';
            break;
        case PX_RESOURCE_STATUS_TOBEVALIDATED:
        default:
            $ct_class = 'published';
            $ct_img = '<img src="themes/'.$_px_theme
                .'/images/check_wait.png" alt="'
                .__('Comment waiting for validation').'" class="status" />';
            break;
        }
        echo '<div class="line '.$ct_class.'">'
            .'<p><a href="#" onclick="openClose(\'c'.$ct->f('comment_id')
            .'\',0); return false;" title="'.__('Show/hide edition form').'">'
            .'<img src="themes/'.$_px_theme.'/images/plus.png" id="img_c'
            .$ct->f('comment_id').'" alt="'.__('Show/hide edition form')
            .'" /></a> '.__('by')
            .' <strong>'.$ct->f('comment_author').'</strong> '
            .'(<a href="mailto:'.$ct->f('comment_email').'">'
            .$ct->f('comment_email').'</a>';
        if (strlen($ct->f('comment_website'))) {
            echo ', <a href="'.$ct->f('comment_website').'">'
                .$ct->f('comment_website').'</a>';
        }
        echo ')<br />'."\n";
        echo $ct_img.'<strong>'
            .date(__('Y/m/d \a\t H:i:s'), date::unix($ct->f('comment_update')))
            .'</strong> '.__('with the IP address:').' '.$ct->f('comment_ip')
            .'</p>'."\n";
        echo '<div class="preview">'.$ct->f('comment_content').'</div>';
        echo '<div id="c'.$ct->f('comment_id').'" style="display:none;">';
        echo '<form id="formPost" method="POST" action="'.$_SERVER["PHP_SELF"]
            .'">'."\n";
        echo '<p><label for="c_author"><strong>'.__('Author')
            .'</strong></label> ';
        echo form::textField('c_author', 30, 50, $ct->f('comment_author'));
        echo '</p>'."\n";
        echo '<p><label for="c_email"><strong>'.__('Email')
            .'</strong></label> ';
        echo form::textField('c_email', 30, 50, $ct->f('comment_email'));
        echo '</p>'."\n";
        echo '<p><label for="c_website">'.__('Website').'</label> ';
        echo form::textField('c_website', 30, 50, $ct->f('comment_website'));
        echo '</p>'."\n";
        echo '<label for="c_content"><strong>'.__('Content of the comment');
        echo '</strong> ';
        echo '</label> ';
        echo form::textArea('c_content', 60, 10, 
                        $ct->f('comment_content'), '', 'style="width:50%"');
        // Status
        echo '<p><span class="nowrap"><label for="c_status" ';
        echo 'style="display:inline">';
        echo __('Status').' '; 
        echo '</label> ';
        echo form::combobox('c_status', $m->getArrayCommentStatus(), 
                            $ct->f('comment_status')); 

        echo "</span></p>\n\n";

        // submit buttons
        echo "<p>\n";
        echo form::button('submit', 'publish-comment', __('Save'), 
                          '', '', 'submit')."\n";

        echo '&nbsp;<input name="delete-comment" type="submit" tabindex="" class="submit" value="'.__('Delete').'" onclick="return window.confirm(\''.addslashes( __('Are you sure you want to delete this comment?')).'\')" />';
        echo form::hidden('comment_id',$ct->f('comment_id'));
        echo form::hidden('resource_id',$ct->f('resource_id'));
        echo '</p>';
        
        echo '</form>'."\n";
        echo '</div>';
        echo "</div>\n\n";    
        $ct->moveNext();
    }
}
    
echo '<form id="formPost" method="POST" action="'.$_SERVER["PHP_SELF"].'">';
echo "\n";
echo '<fieldset><legend>'. __('Add a comment')."</legend>\n\n";
echo '<p><label for="c_author"><strong>'.__('Author').'</strong></label> ';
echo form::textField('c_author', 30, 50, $ct->f('comment_author'));
echo '</p>'."\n";
echo '<p><label for="c_email"><strong>'.__('Email').'</strong></label> ';
echo form::textField('c_email', 30, 50, $ct->f('comment_email'));
echo '</p>'."\n";
echo '<p><label for="c_website">'.__('Website').'</label> ';
echo form::textField('c_website', 30, 50, $ct->f('comment_website'));
echo '</p>'."\n";
echo '<label for="c_content"><strong>'.__('Content of the comment');
echo '</strong> ';
echo '</label> ';
echo form::textArea('c_content', 60, 10, 
                    $ct->f('comment_content'), '', 'style="width:50%"');
// Status
echo '<p><span class="nowrap"><label for="c_status" ';
echo 'style="display:inline">';
echo __('Status').' '; 
echo '</label> ';
echo form::combobox('c_status', $m->getArrayCommentStatus(), 
                    $ct->f('comment_status')); 

echo "</span></p>\n\n";

// submit buttons
echo "<p>\n";
echo form::button('submit', 'publish-comment', __('Save'), 
                  '', '', 'submit')."\n";

echo '&nbsp;<input name="delete-comment" type="submit" tabindex="" class="submit" value="'.__('Delete').'" onclick="return window.confirm(\''.addslashes( __('Are you sure you want to delete this comment?')).'\')" />';
echo form::hidden('comment_id',$ct->f('comment_id'));
echo form::hidden('resource_id',$px_resource_id);
echo '</p>';
echo '</fieldset>';
echo '</form>'."\n";
    
?>